<?php 

function eedu_upload_gradebook_after($args) {
	$session = Session::getInstance();
	$response = eedu_update_gradebook_any_class($args['file']);
	if($response) {
		inform_user($session->id, $response, "", false, NOTIFICATION);
	}
}

function eedu_upload_mock_gradebook_after($args) {
	$session = Session::getInstance();
	$cron = new cronjobs;
    $args = [$args['file'], $session->id];
    $cron->schedule("* * * * *", "eedu_update_mock_gradebook_any_class", ...$args);
}

function eedu_upload_students_after($args) {
	$session = Session::getInstance();
	$cron = new cronjobs;
    $args = [$args['file'], $session->id];
    $cron->schedule("* * * * *", "update_students_from_template", ...$args);
}